Bug 57981 - French : spaces before exclamation/question marks in brackets deleted
Summary: French : spaces before exclamation/question marks in brackets deleted
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
3.5.4 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 51953 61443 (view as bug list)
Depends on:
Blocks: AutoCorrect-Complete
  Show dependency treegraph
 
Reported: 2012-12-07 13:52 UTC by didi
Modified: 2019-10-30 03:36 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description didi 2012-12-07 13:52:51 UTC
Problem description: 
When the text language is French (France), with the option "Add non breaking space before specific punctuation marks in French text" enabled, spaces before exclamation and question marks located before a bracket ((, ), [, ], { or }) are automatically deleted.

Steps to reproduce:
1. enable option "Add non breaking space before specific punctuation marks in French text" in a text set to French (France)
2. type "blah !)", "blah!)" or any combination of an exclamation/question mark and a bracket of any type ((, ), [, ], { or }) located directly after it.

Current behavior:
The text is modified as following:
blah !) => blah!)
blah!) => blah!)
blah !] => blah!]
and so on...

Expected behavior:
The text should be modified as following:
blah !) => blah !)
blah!) => blah !)
blah !] => blah !]
etc.
Comment 1 Olivier R. 2013-03-06 10:47:28 UTC
Confirmed on LO 4.
Comment 2 Olivier R. 2013-03-06 10:57:20 UTC
*** Bug 61443 has been marked as a duplicate of this bug. ***
Comment 3 libreoffice 2013-12-08 23:25:24 UTC
*** Bug 51953 has been marked as a duplicate of this bug. ***
Comment 4 j.tronel 2013-12-13 11:35:59 UTC
In fact, non-breaking space disappears on typing almost any printing character right after the punctuation mark (excluding other punctuation marks, spaces, CR...)
blah ;blah --> blah;blah (right, this one is no frequent use :))
Comment 5 vulcain 2014-05-27 07:21:38 UTC
Same behavior with LibreOffice 4.3.0.0.beta1 Build ID: 2e39c7e59c8fc8b16a54c3d981dceef27fb0c07f
(with or without installation of LibreOfficeDev_4.3.0.0.beta1_Linux_x86-64_deb_langpack_fr.tar.gz and LibreOfficeDev_4.3.0.0.beta1_Linux_x86-64_deb_helppack_fr.tar.gz )
Comment 6 vulcain 2014-05-27 07:27:02 UTC
Move x86 to all because i reproduce on Ubuntu 12.04 x86_64 with LibreOffice 3.5.7.2  Version ID : 350m1(Build:2) or LibreOffice 4.3.0.0.beta1 Build ID: 2e39c7e59c8fc8b16a54c3d981dceef27fb0c07f
Comment 7 vulcain 2014-05-27 07:29:47 UTC
Move platform : Linux -> All because in duplicate bug 61443 and 51953 the behavior is reproduce on Windows 7
Comment 8 QA Administrators 2015-07-18 17:44:21 UTC Comment hidden (obsolete)
Comment 9 Pierre C 2015-07-21 08:25:49 UTC
Still present in LO 5.0.0.3
Comment 10 QA Administrators 2017-05-22 13:40:15 UTC Comment hidden (obsolete)
Comment 11 Olivier R. 2017-05-23 05:57:32 UTC
Bug still exists in 5.3.
Comment 12 didi 2017-05-23 07:15:45 UTC
The bus is still present in 5.2.7.2 (GNU/Linux, Debian unstable).
Comment 13 halima 2017-08-22 02:51:13 UTC
This bug is still present in LO  Version: 5.4.0.3 (x64)
Build ID: 7556cbc6811c9d992f4064ab9287069087d7f62c
Threads CPU : 4; OS : Windows 6.19; UI Render : par défaut; 
Locale : en-GB (fr_FR); Calc: group
Comment 14 QA Administrators 2018-08-23 02:41:34 UTC Comment hidden (obsolete)
Comment 15 Thomas Lendo 2018-10-29 20:18:41 UTC
Still reproducible.

Version: 6.2.0.0.alpha1+
Build ID: 0f190f50368816964b2a1b7bb58000ac1792d640
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: de-DE (de_DE.UTF-8); Calc: threaded
from 2 days ago
Comment 16 QA Administrators 2019-10-30 03:36:48 UTC
Dear didi,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug